Skip to content

Start new call

Start a new call to a destination from a User using the xtelsio Tapi

DialBack mode: we dial first the targets and once one of those has answered we dial the destination. This allows the user to select which device will be used to start a new call
When no targets are specified we dial all linked device for the user in DialBack mode.
When only one target.sip_devices (and no other targets) is specified we try to start the call via the Phone api if this fails we dial the device When the target is webrtc and we only have one instance of voxbi open we don't use DialBack mode

HTTP: User Auth in Basic Header

Authenticate using a User account (Pbx.instance_name_User.id (example: pbx20dev_7e6ba1ad-4c3c-43a6-a4b7-8c50e13e730d) is the username and password is sha256 of user.password or user.webrtc_password)

HTTP Authorization Scheme
basic
API Key: User Auth Password inQuery

Authenticate using a User account (Pbx.instance_name_User.id (example: pbx20dev_7e6ba1ad-4c3c-43a6-a4b7-8c50e13e730d) is the username and password is sha256 of user.password or user.webrtc_password) Alternative for HTTP Basic Auth password for clients who don't support Headers'

Parameter name
password
Located in
query
API Key: User Auth Username in Query

Authenticate using a User account (Pbx.instance_name_User.id (example: pbx20dev_7e6ba1ad-4c3c-43a6-a4b7-8c50e13e730d) is the username and password is sha256 of user.password or user.webrtc_password) Alternative for HTTP Basic Auth username for clients who don't support Headers'

Parameter name
username
Located in
query
debugAmiTrace query · boolean
Display the debug trace from asterisk manager
destination query · string *
Destination number to dial
targets query · string
Target device used to start the call
caller_identity query · string
Specify the caller identity of the call
autoAnswer query · boolean
Auto Answer the call on the src device (default: false) (overrides default behaviors)
forceDialBack query · boolean
Forces the pbx to start a call in DialBack mode (default: false) (overrides default behaviors)
anonymous query · boolean
Should the call be anonymous (default: false)

Responses

Call Started
Response schema
No response body.
get https://{username}.voxbi.cloud/api/{version}/calls/new/tapi
Base URL https://{username}.voxbi.cloud/api/{version}
Request sample
curl -X GET 'https://{username}.voxbi.cloud/api/{version}/calls/new/tapi' \
  -H 'Authorization: Bearer YOUR_TOKEN'
const response = await fetch('https://{username}.voxbi.cloud/api/{version}/calls/new/tapi', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': `Bearer ${YOUR_TOKEN}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://{username}.voxbi.cloud/api/{version}/calls/new/tapi',
    headers={'Authorization': f'Bearer {YOUR_TOKEN}'}
)
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
    'http' => [
        'method'  => 'GET',
        'header'  => "Content-Type: application/json\r\nAuthorization: Bearer YOUR_TOKEN",
    ],
]);

$response = file_get_contents('https://{username}.voxbi.cloud/api/{version}/calls/new/tapi', false, $context);
$data = json_decode($response, true);
print_r($data);
No example for this status.